
Ruby - Bug #4708

If OptionParser linked more obviously to make_switch, world peace might occur (patch included)

05/16/2011 11:52 AM - davetron5000 (David Copeland)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-05-16 trunk 31583)

[x86_64-darwin10.7.0] 

Backport:  

Description

OptionParser has awesome rdoc, and make_switch's rdoc is really great, complete and useful.  It's just really hard to find.  This patch

adds a link to that right before the example.

Associated revisions

Revision ae4afa5a - 05/16/2011 09:57 PM - drbrain (Eric Hodel)

lib/optparse.rb:  Add link to make_switch to improve documentation.

Patch by David Copeland.  [Ruby 1.9 - Bug #4708]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31600 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/17/2011 06:57 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31600.

David, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/optparse.rb:  Add link to make_switch to improve documentation.

Patch by David Copeland.  [Ruby 1.9 - Bug #4708]

Files

0006-link-to-a-REALLY-useful-method-for-documentation.patch 788 Bytes 05/16/2011 davetron5000 (David Copeland)
